package ossj.common.cbe;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import javax.oss.cbe.CBEManagedEntityValue;

public class CBEManagedEntityValueAdapter extends XmlAdapter<CBEManagedEntityValueImpl,CBEManagedEntityValue>{
    
    public CBEManagedEntityValue unmarshal(CBEManagedEntityValueImpl p) throws Exception {
        try {
            CBEManagedEntityValue r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall CBEManagedEntityValue : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public CBEManagedEntityValueImpl marshal(CBEManagedEntityValue p) throws Exception {
        try {
            CBEManagedEntityValueImpl r = (CBEManagedEntityValueImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall CBEManagedEntityValueImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
